# TP2 : Environnement virtuel

## I. Topologie réseau

### ☀️ Sur node1.lan1.tp2

```powershell
[lm33@lan1-1 ~]$ ip a
[...]
2: enp0s3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:57:b7:e1 brd ff:ff:ff:ff:ff:ff
    inet 10.1.1.11/24 brd 10.1.1.255 scope global noprefixroute enp0s3
       valid_lft forever preferred_lft forever
    inet6 fe80::a00:27ff:fe57:b7e1/64 scope link
       valid_lft forever preferred_lft forever

[lm33@lan1-1 ~]$ ip neigh show
10.1.1.254 dev enp0s3 lladdr 08:00:27:b8:55:d9 DELAY
10.1.1.12 dev enp0s3 lladdr 08:00:27:19:1b:01 STALE
10.1.1.1 dev enp0s3 lladdr 0a:00:27:00:00:06 REACHABLE

[lm33@lan1-1 ~]$ traceroute 10.1.2.12
traceroute to 10.1.2.12 (10.1.2.12), 30 hops max, 60 byte packets
 1  _gateway (10.1.1.254)  0.952 ms  0.911 ms  0.901 ms
 2  10.1.2.12 (10.1.2.12)  0.732 ms !X  0.711 ms !X  0.618 ms !X
```

## II. Interlude accès internet

### ☀️ Sur router.tp2

```powershell
[lm33@routeur ~]$ ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=112 time=29.9 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=112 time=24.8 ms
[...]
2 packets transmitted, 2 received, 0% packet loss, time 1001ms

[lm33@routeur ~]$ ping ynov.com
PING ynov.com (104.26.11.233) 56(84) bytes of data.
64 bytes from 104.26.11.233 (104.26.11.233): icmp_seq=1 ttl=56 time=11.9 ms
64 bytes from 104.26.11.233 (104.26.11.233): icmp_seq=2 ttl=56 time=11.6 ms
[...]
2 packets transmitted, 2 received, 0% packet loss, time 1002ms
```

### ☀️ Accès internet LAN1 et LAN2

```powershell
[lm33@lan1-2 ~]$ cat /etc/sysconfig/network-scripts/ifcfg-enp0s3
NAME=enp0s3
DEVICE=enp0s3

BOOTPROTO=static
ONBOOT=yes

IPADDR=10.1.1.12
NETMASK=255.255.255.0

GATEWAY=10.1.1.254

[lm33@lan1-2 ~]$ cat /etc/resolv.conf
# Generated by NetworkManager
nameserver 8.8.8.8
nameserver 8.8.4.4
nameserver 1.1.1.1

[lm33@lan1-2 ~]$ ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=111 time=26.2 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=111 time=25.8 ms
[...]
2 packets transmitted, 2 received, 0% packet loss, time 1002ms

[lm33@lan1-2 ~]$ ping ynov.com
PING ynov.com (104.26.10.233) 56(84) bytes of data.
64 bytes from 104.26.10.233 (104.26.10.233): icmp_seq=1 ttl=55 time=14.3 ms
64 bytes from 104.26.10.233 (104.26.10.233): icmp_seq=2 ttl=55 time=28.6 ms
[...]
2 packets transmitted, 2 received, 0% packet loss, time 1002ms
```

## III. Services réseau

### 1. DHCP

### ☀️ Sur dhcp.lan1.tp2

```powershell
[lm33@lan1-dhcp ~]$ sudo dnf -y install dhcp-server
[...]
Complete!

[lm33@lan1-dhcp ~]$ sudo cat /etc/dhcp/dhcpd.conf
# create new
# specify domain name
option domain-name     "srv.world";
# specify DNS server's hostname or IP address
option domain-name-servers     1.1.1.1;
# default lease time
default-lease-time 600;
# max lease time
max-lease-time 7200;
# this DHCP server to be declared valid
authoritative;
# specify network address and subnetmask
subnet 10.1.1.0 netmask 255.255.255.0 {
    # specify the range of lease IP address
    range dynamic-bootp 10.1.1.100 10.1.1.200;
    # specify broadcast address
    option broadcast-address 10.1.1.255;
    # specify gateway
    option routers 10.1.1.254;
}

[lm33@lan1-dhcp ~]$ sudo systemctl enable --now dhcpd

[lm33@lan1-dhcp ~]$ sudo systemctl status dhcpd
● dhcpd.service - DHCPv4 Server Daemon
     Loaded: loaded (/usr/lib/systemd/system/dhcpd.service; enabled; vendor preset: disabled)
     Active: active (running) since Thu 2023-10-19 17:02:35 CEST; 28s ago
     [...]
```

### ☀️ **Sur `node1.lan1.tp2`**

```powershell
[lm33@lan1-1 ~]$ cat /etc/sysconfig/network-scripts/ifcfg-enp0s3
NAME=enp0s3
DEVICE=enp0s3

BOOTPROTO=dhcp
ONBOOT=yes
```

```powershell
[lm33@lan1-1 ~]$ ip a
2: enp0s3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:57:b7:e1 brd ff:ff:ff:ff:ff:ff
    inet 10.1.1.100/24 brd 10.1.1.255 scope global noprefixroute enp0s3
       valid_lft forever preferred_lft forever
    inet6 fe80::a00:27ff:fe57:b7e1/64 scope link
       valid_lft forever preferred_lft forever
```

```powershell
[lm33@lan1- ~]$ ip r s
default via 10.1.1.254 dev enp0s3 proto dhcp src 10.1.1.100 metric 100 
10.1.1.0/24 dev enp0s3 proto kernel scope link src 10.1.1.100 metric 100
```

```powershell
[lm33@lan1-1 ~]$ ping node1.lan2.tp2
PING node1.lan2.tp2 (10.1.2.11) 56(84) bytes of data.
64 bytes from node1.lan2.tp2 (10.1.2.11): icmp_seq=1 ttl=63 time=0.444 ms
64 bytes from node1.lan2.tp2 (10.1.2.11): icmp_seq=2 ttl=63 time=0.449 ms
64 bytes from node1.lan2.tp2 (10.1.2.11): icmp_seq=3 ttl=63 time=0.462 ms
```

### 2. Web web web

### ☀️ **Sur `web.lan2.tp2`**

```powershell
[lm33@web ~]$ cat /etc/hostname
web.lan2.tp1
[lm33@web ~]$ sudo dnf install nginx
[...]
Complete!

[lm33@web ~]$ sudo firewall-cmd --add-port=80/tcp --permanent
success
[lm33@web ~]$ sudo firewall-cmd --reload
success
[lm33@web ~]$ sudo firewall-cmd --list-all
public (active)
  target: default
  icmp-block-inversion: no
  interfaces: enp0s3
  sources: 
  services: cockpit dhcpv6-client http ssh
  ports: 80/tcp
  protocols: 
  forward: yes
  masquerade: no
  forward-ports: 
  source-ports: 
  icmp-blocks: 
  rich rules: 

[lm33@web home]$ sudo systemctl start nginx

[lm33@web ~]$ systemctl status nginx
● nginx.service - The nginx HTTP and reverse proxy server
     Loaded: loaded (/usr/lib/systemd/system/nginx.service; enabled; preset: disabled)
     Active: active (running) since Fri 2023-10-20 10:03:37 CEST; 1min 7s ago
    Process: 1386 ExecStartPre=/usr/bin/rm -f /run/nginx.pid (code=exited, status=0/SUCCESS)
    Process: 1387 ExecStartPre=/usr/sbin/nginx -t (code=exited, status=0/SUCCESS)
    Process: 1388 ExecStart=/usr/sbin/nginx (code=exited, status=0/SUCCESS)
   Main PID: 1389 (nginx)
      Tasks: 3 (limit: 48872)
     Memory: 4.2M
        CPU: 22ms
     CGroup: /system.slice/nginx.service
             ├─1389 "nginx: master process /usr/sbin/nginx"
             ├─1390 "nginx: worker process"
             └─1391 "nginx: worker process"

[lm33@web home]$ sudo systemctl enable nginx
Created symlink /etc/systemd/system/multi-user.target.wants/nginx.service → /usr/lib/systemd/system/nginx.service.

Oct 20 10:03:37 web.lan2.tp1 systemd[1]: Starting The nginx HTTP and reverse proxy server...
Oct 20 10:03:37 web.lan2.tp1 nginx[1387]: nginx: the configuration file /etc/nginx/nginx.conf sy>
Oct 20 10:03:37 web.lan2.tp1 nginx[1387]: nginx: configuration file /etc/nginx/nginx.conf test i>
Oct 20 10:03:37 web.lan2.tp1 systemd[1]: Started The nginx HTTP and reverse proxy server.

[lm33@web ~]$ sudo ss -alnpt | grep 80
LISTEN 0      511          0.0.0.0:80        0.0.0.0:*    users:(("nginx",pid=1391,fd=6),("nginx",pid=1390,fd=6),("nginx",pid=1389,fd=6))
LISTEN 0      511             [::]:80           [::]:*    users:(("nginx",pid=1391,fd=7),("nginx",pid=1390,fd=7),("nginx",pid=1389,fd=7))


[lm33@web ~]$ mkdir -p /var/www/site_nul
[lm33@web ~]$ sudo chown -R $USER:$USER /var/www/site_nul

[lm33@web ~]$ cat /var/www/site_nul/index.html
<html>
    <head>
        <title>Welcome to your_domain</title>
    </head>
    <body>
        <h1>Success! Your Nginx server is successfully configured for <em>your_domain</em>. </h1>
<p>This is a sample page.</p>
    </body>
</html>


```


### ☀️ **Sur `node1.lan1.tp2`**

```powershell
[lm33@lan1-1 ~]$ cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
10.1.1.100 node1.lan1.tp2
10.1.1.253 dhcp.lan1.tp2
10.1.2.11 node1.lan2.tp2
10.1.2.12 web.lan2.tp2 site_nul.tp2
10.1.2.254 router.tp2

[lm33@lan1-1 ~]$ curl site_nul.tp2
<html>
    <head>
        <title>Welcome to your_domain</title>
    </head>
    <body>
        <h1>Success! Your Nginx server is successfully configured for <em>your_domain</em>. </h1>
<p>This is a sample page.</p>
    </body>
</html>

```